Package org.apache.sysds.runtime

# Class DMLScriptException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sysds.api.DMLException
org.apache.sysds.runtime.DMLRuntimeException
org.apache.sysds.runtime.DMLScriptException

All Implemented Interfaces:
  `Serializable`

public class DMLScriptException extends DMLRuntimeException
This exception should be thrown to flag DML Script errors, this exception is reserved for the stop instruction and script related errors that an end-user should be able to address

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.sysds.api.DMLException

`ERROR_MSG_DELIMITER`

## Constructor Summary

Constructors
Constructor
Description
`DMLScriptException(String msg)`
Construct a DML script exception, this exception is reserved for the stop instruction and script related errors that an end-user should be able to address The DMLScrip exception is intended not to be able to throw other exceptions on.

## Method Summary

### Methods inherited from class org.apache.sysds.runtime.DMLRuntimeException

`of`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DMLScriptException

public DMLScriptException(String msg)
Construct a DML script exception, this exception is reserved for the stop instruction and script related errors that an end-user should be able to address The DMLScrip exception is intended not to be able to throw other exceptions on. Therefore, there is only one constructor.

Parameters:
  `msg` - message